/* ----------------------------------------------------------------------
   The SINUS Firewall -- a TCP/IP packet filter for Linux

   Written within the SINUS project at the University of Zurich,
   SWITCH, Telekurs Payserv AG, ETH Zurich.
   originally based on the sf Firewall Software (C) 1996 by Robert
   Muchsel and Roland Schmid.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   SINUS Firewall resources:
   SINUS Homepage: http://www.ifi.unizh.ch/ikm/SINUS/
   Firewall Homepage: http://www.ifi.unizh.ch/ikm/SINUS/firewall.html
   Frequently asked questions: http://www.ifi.unizh.ch/ikm/SINUS/sf_faq.html
   Mailing list for comments, questions, bug reports: firewall@ifi.unizh.ch
   ----------------------------------------------------------------------  */


/*
 * sf Firewall Server - Communication with Configuration Client
 *
 */

#ifndef _SF_SERVER_H
#define _SF_SERVER_H

/*#define SERV_DEBUG*/

extern int sockserv;		/* socket for accepting connections */
extern int server_enabled;      /* remote configuration enabled */
extern int conn_established;	/* number of established client connections */
extern struct sockaddr_in servaddr; /* server address */
extern int cliaddrlen;		/* length of client address */
extern int lastclient;		/* round robin read from clients */
extern int reestablish_timeout; /* flag for event queue */

extern int sockconn[MAX_CLIENTS];	/* socket handles */
extern int conn_state[MAX_CLIENTS];	/* state of connection */
extern int conn_child_pid[MAX_CLIENTS];	/* child is using connection */
extern struct sockaddr_in cliaddr[MAX_CLIENTS]; /* client addresses */

extern void serv_init();	/* Initialize server, perform socket, 
				   bind, listen on sockserv */
extern void serv_new_connect(int); /* Initialize client-server communication */
extern void serv_process(int);	/* Read pending data on sockconn and process it */
extern void conn_timeout(int, int); /* ping connections and delete on timeout */


#endif
